#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1
%define oname attica

Summary:        Open Collaboration Service providers library
Name:           %oname
Version: 6.5.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://projects.kde.org/projects/kdesupport/attica
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{oname}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)

#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
BuildRequires:  pkgconfig(egl)

BuildRequires:  python3dist(reuse)

%description
A library to access Open Collaboration Service providers.
Required to access OSC providers in get hot new stuff in KDE.

%files
%_kf6_categoriesdir/attica.categories
%_kf6_categoriesdir/attica.renamecategories

#--------------------------------------------------------------------

%define attica_major 6
%define libattica %mklibname kf6attica %{attica_major}

%package -n %libattica
Summary:        Qt library that implements the Open Collaboration Services API
Group:          System/Libraries

Requires:       %name >= %version-%release

%description -n %libattica
A library to access Open Collaboration Service providers
Required to access OSC providers in get hot new stuff.

%files -n %libattica
%{_kf6_libdir}/libKF6Attica.so.%{attica_major}{,.*}
%{_kf6_libdir}/libKF6Attica.so.%{version}

#--------------------------------------------------------------------

%define attica_devel %mklibname kf6attica -d

%package -n %attica_devel
Summary:        Devel stuff for %oname
Group:          Development/KDE and Qt
Requires:       %libattica = %version-%release
Requires:       cmake(Qt6Core)

Provides:       %name-devel = %version-%release
Provides:       %name-kf6-devel = %version-%release

%description -n %attica_devel
This package contains header files needed if you wish to build applications
based on %oname.

%files -n %attica_devel
%{_kf6_includedir}/Attica/
%{_kf6_libdir}/libKF6Attica.so
%{_kf6_libdir}/pkgconfig/KF6Attica.pc
%{_kf6_libdir}/cmake/KF6Attica/

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install



%changelog
* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084337
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070509
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063364
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056798
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044896
- New version 6.0.0
- New version 6.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037456
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029548
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025581
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005554
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998932
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987324
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952006
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947815
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941316
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1934971
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922213
- New version 5.101.0

* Wed Dec 07 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1918867
- enable reuse tool support

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911586
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900190
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887625
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880573
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871672
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853192
- New version 5.93.0

* Wed Apr 06 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1846494
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754800
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749051
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747011
- New version 5.86.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735233
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723424
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714820
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1701998
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691089
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653303
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633157
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625571
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612431
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603062
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592756
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1581982
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566473
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556649
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546631
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486787
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466197
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457582
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450963
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444778
- New version 5.62.0
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420213
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386906
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1381270
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374533
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364508
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356631
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339187
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318934
- New version 5.51.0
- New version 5.50.0

* Fri Sep 21 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1295090
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247284
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231390
- fix lib pkg name and devel pkg name
- use Kf5 macros

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229222
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192254
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182304
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161210
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140462
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123473
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088936
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074507
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072168
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058327
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050504
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045082
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041304
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021903
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014313
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999610
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986301
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942222
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921256
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912916
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909838
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900548
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899506
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898901
+ rebuild (emptylog)

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 898739
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888214
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881432
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862997
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862811
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Aug 04 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 861138
- Conflict against old kde-l10n

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853787
- New version
- Rename

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844562
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 803463
- New version 5.5.0
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 744268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 678032
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660605
- New version 5.1.0
- New version 5.1.0

* Tue Jul 15 2014 lmenut <lmenut> 5.0.0-2.mga5
+ Revision: 653146
- remove invalid obsoletes

* Mon Jul 07 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650509
- New version 5.0.0

* Tue Jul 01 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 641998
- New version 4.100

* Thu Apr 03 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611460
- New version

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599990
- New version
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-2.mga5
+ Revision: 597318
- Add devel provide

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597313
- imported package attica-kf5


* Sat Oct 16 2010 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 586032
- new version 0.2.0

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.1.91-1mdv2011.0
+ Revision: 577520
- new version 0.1.91

* Wed Jul 21 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.4-0.1132040.1mdv2011.0
+ Revision: 556308
- Update to new snapshot

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-2mdv2010.1
+ Revision: 540237
- rebuild so that shared libraries are properly stripped again

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.1.3-1mdv2010.1
+ Revision: 536569
- new version 0.1.3

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 492421
- New verison 0.1.2

* Wed Jan 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.1-0.1070828.1mdv2010.1
+ Revision: 486981
- New snapshot

* Tue Dec 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.1-0.1062690.1mdv2010.1
+ Revision: 479036
- New svn snapshot

* Thu Dec 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.0-0.1057723.1mdv2010.1
+ Revision: 472807
- import attica


